Create project
curl --request POST \
--url https://api.braintrust.dev/v1/project \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"org_name": "<string>",
"project_group_name": "<string>"
}
'import requests
url = "https://api.braintrust.dev/v1/project"
payload = {
"name": "<string>",
"description": "<string>",
"org_name": "<string>",
"project_group_name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
org_name: '<string>',
project_group_name: '<string>'
})
};
fetch('https://api.braintrust.dev/v1/project', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.braintrust.dev/v1/project",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'org_name' => '<string>',
'project_group_name' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.braintrust.dev/v1/project"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"org_name\": \"<string>\",\n \"project_group_name\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.braintrust.dev/v1/project")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"org_name\": \"<string>\",\n \"project_group_name\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.braintrust.dev/v1/project")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"org_name\": \"<string>\",\n \"project_group_name\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"created": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settings": {
"comparison_key": "<string>",
"baseline_experiment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"spanFieldOrder": [
{
"object_type": "<string>",
"column_id": "<string>",
"position": "<string>",
"layout": "full"
}
],
"remote_eval_sources": [
{
"url": "<string>",
"name": "<string>",
"description": "<string>"
}
],
"disable_realtime_queries": true,
"monitor_charts_use_metrics_start": true,
"coding_agent_insights_dashboard": true,
"blind_reviews": true,
"require_all_human_review_scores": true,
"user_id_fields": [
[
"<string>"
]
],
"pattern_alert_mention": {
"workspace_id": "<string>",
"mention_user_id": "<string>",
"mention_handle": "<string>",
"mention_prompt": "<string>"
},
"pattern_alert_destinations": [
{
"type": "webhook",
"url": "<string>",
"formatting_prompt": "<string>"
}
],
"session_id_fields": [
[
"<string>"
]
],
"default_preprocessor": {
"type": "function",
"id": "<string>",
"version": "<string>"
}
}
}<string><string><string><string><string>Projects
Create project
Create a new project. If there is an existing project with the same name as the one specified in the request, will return the existing project unmodified
POST
/
v1
/
project
Create project
curl --request POST \
--url https://api.braintrust.dev/v1/project \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"org_name": "<string>",
"project_group_name": "<string>"
}
'import requests
url = "https://api.braintrust.dev/v1/project"
payload = {
"name": "<string>",
"description": "<string>",
"org_name": "<string>",
"project_group_name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
org_name: '<string>',
project_group_name: '<string>'
})
};
fetch('https://api.braintrust.dev/v1/project', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.braintrust.dev/v1/project",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'org_name' => '<string>',
'project_group_name' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.braintrust.dev/v1/project"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"org_name\": \"<string>\",\n \"project_group_name\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.braintrust.dev/v1/project")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"org_name\": \"<string>\",\n \"project_group_name\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.braintrust.dev/v1/project")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"org_name\": \"<string>\",\n \"project_group_name\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"created": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settings": {
"comparison_key": "<string>",
"baseline_experiment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"spanFieldOrder": [
{
"object_type": "<string>",
"column_id": "<string>",
"position": "<string>",
"layout": "full"
}
],
"remote_eval_sources": [
{
"url": "<string>",
"name": "<string>",
"description": "<string>"
}
],
"disable_realtime_queries": true,
"monitor_charts_use_metrics_start": true,
"coding_agent_insights_dashboard": true,
"blind_reviews": true,
"require_all_human_review_scores": true,
"user_id_fields": [
[
"<string>"
]
],
"pattern_alert_mention": {
"workspace_id": "<string>",
"mention_user_id": "<string>",
"mention_handle": "<string>",
"mention_prompt": "<string>"
},
"pattern_alert_destinations": [
{
"type": "webhook",
"url": "<string>",
"formatting_prompt": "<string>"
}
],
"session_id_fields": [
[
"<string>"
]
],
"default_preprocessor": {
"type": "function",
"id": "<string>",
"version": "<string>"
}
}
}<string><string><string><string><string>Authorizations
Most Braintrust endpoints are authenticated by providing your API key as a header Authorization: Bearer [api_key] to your HTTP request. You can create an API key in the Braintrust organization settings page.
Body
application/json
Any desired information about the new project object
Response
Returns the new project object
Was this page helpful?